修改maven默认jdk1.5问题

原创
2016/08/18 09:15
阅读数 133

在创建maven 项目的时候默认的jdk1.5,版本太低了,所以我们要更换掉?那么如何更换呢?

一、先找到maven 的安装目录,然后打开settings.xml文件

在profiles下加入: 

```xml

<profile>
    <id>jdk-1.7</id>
    <activation>
        <activeByDefault>true</activeByDefault>
        <jdk>1.7</jdk>
    </activation>
    <properties>
        <maven.compiler.source>1.7</maven.compiler.source>
        <maven.compiler.target>1.7</maven.compiler.target>
        <maven.compiler.compilerVersion>1.7</maven.compiler.compilerVersion>
    </properties>
</profile> 

```

再次新建maven 项目发现jdk版本已经发生了变化

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部